Page MenuHomePhabricator

Configure OCG, Parsoid and Citoid to report counter metrics
Closed, ResolvedPublic

Description

TechOps are ready to sunset txStatsD in favor of statsite. For the migration, OCG, Parsoid and Citoid need to be configured to emit counters rather than meters.

Done

  • Citoid
  • Parsoid
  • RESTBase
  • OCG

Details

Related Gerrit Patches:
mediawiki/services/citoid : masterBump service-runner to 0.1.6
mediawiki/services/parsoid : masterConform to statsite metrics

Event Timeline

ori created this task.Mar 26 2015, 5:44 PM
ori raised the priority of this task from to High.
ori updated the task description. (Show Details)
ori added a project: Services.
ori added a subscriber: ori.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 26 2015, 5:44 PM
cscott added a subscriber: cscott.Mar 26 2015, 6:17 PM

OCG doesn't use service runner (yet). Perhaps a separate phab ticket should be opened for it?

Mvolz set Security to None.
Mvolz moved this task from Backlog to Production on the Citoid board.Mar 27 2015, 2:39 PM

FYI this is happening tomorrow at 10 UTC, ocg code review is at https://gerrit.wikimedia.org/r/199952

FYI this is happening tomorrow at 10 UTC, ocg code review is at https://gerrit.wikimedia.org/r/199952

pinging @cscott for this

Change 202727 had a related patch set uploaded (by Mobrovac):
Conform to statsite metrics

https://gerrit.wikimedia.org/r/202727

Change 202727 merged by jenkins-bot:
Conform to statsite metrics

https://gerrit.wikimedia.org/r/202727

Change 202737 had a related patch set uploaded (by Mobrovac):
Bump service-runner to 0.1.6

https://gerrit.wikimedia.org/r/202737

Change 202737 merged by Mobrovac:
Bump service-runner to 0.1.6

https://gerrit.wikimedia.org/r/202737

mobrovac updated the task description. (Show Details)Apr 8 2015, 5:06 PM
mobrovac updated the task description. (Show Details)Apr 9 2015, 10:13 AM
mobrovac updated the task description. (Show Details)Apr 9 2015, 10:38 AM
mobrovac closed this task as Resolved.Apr 9 2015, 1:31 PM
mobrovac claimed this task.
mobrovac updated the task description. (Show Details)
mobrovac removed a project: Patch-For-Review.

All needed changes merged, resolving.